## raster3d 2.7s

=== Makefile ===
--- 
+++ 
@@ -61,9 +61,9 @@
 	@cp Makefile.template Makefile.incl
 	@echo OS = linux                      >> Makefile.incl
 	@echo CC = gcc                        >> Makefile.incl
-	@echo CFLAGS = -g -w -Dgfortran       >> Makefile.incl
+	@echo CFLAGS = -g -Wall -Dgfortran    >> Makefile.incl
 	@echo FC = gfortran                   >> Makefile.incl
-	@echo FFLAGS = -g -w -O -ffixed-line-length-132 >> Makefile.incl
+	@echo FFLAGS = -g -w -O3 -ffixed-line-length-132 >> Makefile.incl
 	@echo RM = /bin/rm -f                 >> Makefile.incl
 	@echo OSDEFS =  -DLINUX -DNETWORKBYTEORDER       >> Makefile.incl
 	@echo include Makefile.package        >> Makefile.incl
