## raster3d 2.9-1

=== debian/changelog ===
raster3d (2.9-1-1) unstable; urgency=low

  * New upstream version
  * debian/control:
    - Added myself to uploaders
    - Standards-Version: 3.8.4 (no changes needed)
    - debhelper >= 7
    - Removed xutils from Build-Depends
      Closes: #575855
    - Added Depends: ${misc:Depends}
  * debian/compat: 7
  * Use patch system quilt
  * Source format 3.0 (quilt)
  * debian/upstream-metadata.yaml: Reference

 -- Andreas Tille <tille@debian.org>  Tue, 30 Mar 2010 10:11:59 +0200

raster3d (2.7s-1) unstable; urgency=low

  * New upstream release;
  * Updated doc-base section;
  * Removed raster3d-2.7d-gcc4-gentoo.patch (fixed upstream).

 -- Nelson A. de Oliveira <naoliv@debian.org>  Mon, 10 Mar 2008 09:01:42 -0300

raster3d (2.7d+0-2) unstable; urgency=low

  * Updated Standards-Version;
  * Changed Maintainer to the Debian-Med Packaging Team;
  * Added new Homepage field;
  * New patch raster3d-2.7d-gcc4-gentoo.patch from Gentoo, fixing a FTBFS bug;
  * Added Vcs-* fields.

 -- Nelson A. de Oliveira <naoliv@debian.org>  Thu, 21 Feb 2008 23:24:11 -0300

raster3d (2.7d+0-1) unstable; urgency=low

  * Upstream author released an updated source, but with the same version
    as before...
    - Fixed some issues with rastep.
  * New maintainer address;
  * Added tags on debian/control.

 -- Nelson A. de Oliveira <naoliv@debian.org>  Thu, 14 Dec 2006 02:34:26 -0200

raster3d (2.7d-2) unstable; urgency=low

  * Rebuilt to fix dependency on uninstallable libgfortran0 (Closes: #382323);
  * debian/control: replaced "${Source-Version}" with "${source:Version}";
  * debian/raster3d-doc.doc-base: updated Raster3D version.

 -- Nelson A. de Oliveira <naoliv@gmail.com>  Thu, 10 Aug 2006 15:41:14 -0300

raster3d (2.7d-1) unstable; urgency=low

  * New upstream version:
    - Compiling with gfortran instead g77.
  * Updated Standards-Version to 3.7.2 (no changes needed);
  * Using debhelper compatibility version 5;
  * Changed order of Depends (gs-gpl comes first now);
  * Removed patches that were applied on upstream source code
    (avs2ps.c.diff, avs2ps.l.diff, label3d.l.diff, local.c.diff,
    normal.l.diff, r3d_objects.l.diff, r3dtops.l.diff, rastep.l.diff,
    stereo3d.l.diff and ungz.c.diff);
  * Removed versioned Build-Depends on cdbs and patchutils;
  * Removed versioned Depends on imagemagick.

 -- Nelson A. de Oliveira <naoliv@gmail.com>  Wed,  3 May 2006 13:31:37 -0300

raster3d (2.7c-5) unstable; urgency=low

  * Fix FTBFS (amd64/gcc-4.0): -malign-double makes no sense in the
    64bit mode (Closes: #314239).
    Thanks to Andreas Jochens for pointing this.

 -- Nelson A. de Oliveira <naoliv@gmail.com>  Thu, 16 Jun 2005 19:53:59 -0300

raster3d (2.7c-4) unstable; urgency=low

  * Not using DEB_AUTO_UPDATE_DEBIAN_CONTROL of CDBS anymore;
  * Changed "gs-gpl" on Depends to "gs-afpl | gs-gpl | gs-esp".

 -- Nelson A. de Oliveira <naoliv@gmail.com>  Thu,  2 Jun 2005 18:49:26 -0300

raster3d (2.7c-3) unstable; urgency=low

  * Wrappers for normal3d and render were not passing arguments to the real
    programs. Corrected now.

 -- Nelson A. de Oliveira <naoliv@gmail.com>  Wed,  1 Jun 2005 18:15:44 -0300

raster3d (2.7c-2) unstable; urgency=low

  * Clarified distribution of modified version (Closes: #308973):
    - Updated copyright file;
    - Included diffs between original source code and Debian's version.
      The diffs are available at /usr/share/doc/raster3d/diffs.tar.gz
  * Updated Standards-Version to 3.6.1.1 (no modifications needed).

 -- Nelson A. de Oliveira <naoliv@gmail.com>  Mon, 16 May 2005 16:47:29 -0300

raster3d (2.7c-1) unstable; urgency=low

  * Initial Release (Closes: #303941).

 -- Nelson A. de Oliveira <naoliv@gmail.com>  Fri, 25 Mar 2005 17:06:13 -0300
