=== debian/control ===
Source: raster3d
Section: non-free/science
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
DM-Upload-Allowed: yes
Uploaders: Nelson A. de Oliveira <naoliv@debian.org>,
 Andreas Tille <tille@debian.org>
Build-Depends: cdbs, debhelper (>= 7), gfortran, libtiff4-dev, libjpeg62-dev, libpng12-dev,
 quilt
Standards-Version: 3.8.4
Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/raster3d/trunk/
Vcs-Svn: svn://svn.debian.org/svn/debian-med/trunk/packages/raster3d/trunk/
XS-Autobuild: yes
Homepage: http://www.bmsc.washington.edu/raster3d/raster3d.html

Package: raster3d
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, imagemagick, ghostscript
Suggests: raster3d-doc (= ${source:Version})
Description: tools for generating images of proteins or other molecules
 Raster3D is a set of tools for generating high quality raster images of
 proteins or other molecules. The core program renders spheres, triangles,
 cylinders, and quadric surfaces with specular highlighting, Phong shading,
 and shadowing. It uses an efficient software Z-buffer algorithm which is
 independent of any graphics hardware. Ancillary programs process atomic
 coordinates from PDB files into rendering descriptions for pictures composed
 of ribbons, space-filling atoms, bonds, ball+stick, etc. Raster3D can also be
 used to render pictures composed in other programs such as Molscript in
 glorious 3D with highlights, shadowing, etc. Output is to pixel image files
 with 24 bits of color information per pixel.

Package: raster3d-doc
Section: non-free/doc
Architecture: all
Depends: ${misc:Depends}
Recommends: raster3d (= ${source:Version}), imagemagick
Suggests: pdf-viewer, perl, www-browser
Description: documents and example files for Raster3D
 Raster3D is a set of tools for generating high quality raster images of
 proteins or other molecules. The core program renders spheres, triangles,
 cylinders, and quadric surfaces with specular highlighting, Phong shading,
 and shadowing. It uses an efficient software Z-buffer algorithm which is
 independent of any graphics hardware. Ancillary programs process atomic
 coordinates from PDB files into rendering descriptions for pictures composed
 of ribbons, space-filling atoms, bonds, ball+stick, etc. Raster3D can also be
 used to render pictures composed in other programs such as Molscript in
 glorious 3D with highlights, shadowing, etc. Output is to pixel image files
 with 24 bits of color information per pixel.
 .
 This package contains documents and example files for the raster3d package.
