=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/patchsys-quilt.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/makefile.mk

DEB_DESTDIR = $(CURDIR)/debian/tmp
DEB_MAKE_CLEAN_TARGET    := clean
DEB_MAKE_INSTALL_TARGET := install prefix=$(DEB_DESTDIR)
DEB_INSTALL_CHANGELOGS_raster3d := CHANGELOG
DEB_INSTALL_DOCS_ALL :=
DEB_COMPRESS_EXCLUDE := .pdb .r3d .mol

cleanbuilddir::
	rm -f debian/diffs.tar

makebuilddir/raster3d::
	mkdir debian/tmp
	cd debian/patches/ && tar -cf ../diffs.tar *.diff *.patch || true

configure/raster3d::
	$(MAKE) linux-gfortran
