=== debian/watch ===
version=3
opts="dversionmangle=s/\+.*//" \
http://skuld.bmsc.washington.edu/raster3d/Raster3D-(.*)\.tar\.gz

# http://www.bmsc.washington.edu/raster3d/Raster3D_(.*)\.tar\.gz
