## raster3d 2.9-2

=== debian/changelog ===
raster3d (2.9-2-1) unstable; urgency=low

  * New upstream version
  * Standards-Version: 3.9.1 (no changes needed)
  * Fixed watch file
  * debian/rules: DEB_COMPRESS_EXCLUDE := .pdf

 -- Andreas Tille <tille@debian.org>  Tue, 16 Nov 2010 17:01:25 +0100
