=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  Andreas Tille <tille@debian.org>
 Build-Depends: cdbs, debhelper (>= 7), gfortran, libtiff4-dev, libjpeg62-dev, libpng12-dev,
  quilt
-Standards-Version: 3.8.4
+Standards-Version: 3.9.1
 Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/raster3d/trunk/
 Vcs-Svn: svn://svn.debian.org/svn/debian-med/trunk/packages/raster3d/trunk/
 XS-Autobuild: yes
