=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 DEB_MAKE_INSTALL_TARGET := install prefix=$(DEB_DESTDIR)
 DEB_INSTALL_CHANGELOGS_raster3d := CHANGELOG
 DEB_INSTALL_DOCS_ALL :=
-DEB_COMPRESS_EXCLUDE := .pdb .r3d .mol
+DEB_COMPRESS_EXCLUDE := .pdb .r3d .mol .pdf
 
 cleanbuilddir::
 	rm -f debian/diffs.tar
