## raster3d 3.0-2

=== debian/changelog ===
raster3d (3.0-2-5) unstable; urgency=low

  * debian/control:
     - Get libgd2-dev dependency straight regarding
       http://lists.alioth.debian.org/pipermail/debian-med-packaging/2013-May/019692.html
     - Remove DM-Upload-Allowed
     - Standards-Version: 3.9.4 (no changes needed)
     - Remove Nelson A. de Oliveira from Uploaders
     - cme fix dpkg-control
     - Build-Depends: s/libtiff4-dev/libtiff-dev/
       Closes: #736043
  * debian/upstream: Add more references

 -- Andreas Tille <tille@debian.org>  Sun, 19 Jan 2014 08:39:07 +0100

raster3d (3.0-2-4) unstable; urgency=low

  [ Charles Plessy ]
  * debian/upstream-metadata.yaml renamed to debian/upstream

  [ Andreas Tille ]
  * debian/control:
     - change Build-Depends of the package from libpng12-dev to libpng-dev
       Closes: #662490
     - Standards-Version: 3.9.3 (no changes needed)
  * debian/copyright:
     - Changed to DEP5 and checked via
         cme fix dpkg-copyright
     - moved extra references to debian/upstream_additional_references
  * debian/upstream: Added DOI and URL fields
  * debian/upstream_additional_references: Moved extra references
    from debian/copyright to this file.  It will be included into
    debian/upstream once is clarified how to handle more than one
    reference
  * Debhelper 9 (control+compat)

 -- Andreas Tille <tille@debian.org>  Wed, 07 Mar 2012 08:21:33 +0100

raster3d (3.0-2-3) unstable; urgency=low

  * Standards-Version: 3.9.2
  * Fixed Vcs-Svn
  * Build-Depends: libjpeg-dev instead of libjpeg62-dev
    Closes: 634284
  * Removed unneeded quilt dependency because of source format 3.0 (quilt)

 -- Andreas Tille <tille@debian.org>  Mon, 18 Jul 2011 17:24:48 +0200

raster3d (3.0-2-2) unstable; urgency=low

  * Upstream changed license (Artistic 2.0) so raster3d became fit for main

 -- Andreas Tille <tille@debian.org>  Mon, 04 Apr 2011 17:20:27 +0200

raster3d (3.0-2-1) unstable; urgency=low

  * New upstream version
  * Adapted patches to new upstream version
  * Debhelper 8 (control+compat)
  * debian/rules: Droped cdbs in favour of dh because the
    cdbs rules file did not worked and claimed outdated API
  * Build-Depends: libgd2-xpm-dev

 -- Andreas Tille <tille@debian.org>  Fri, 25 Mar 2011 10:19:32 +0100
