=== debian/control ===
--- 
+++ 
@@ -1,21 +1,25 @@
 Source: raster3d
-Section: non-free/science
+Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Uploaders: Andreas Tille <tille@debian.org>
+Section: science
 Priority: optional
-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-DM-Upload-Allowed: yes
-Uploaders: Nelson A. de Oliveira <naoliv@debian.org>,
- Andreas Tille <tille@debian.org>
-Build-Depends: cdbs, debhelper (>= 7), gfortran, libtiff4-dev, libjpeg62-dev, libpng12-dev,
- quilt
-Standards-Version: 3.9.1
-Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/raster3d/trunk/
-Vcs-Svn: svn://svn.debian.org/svn/debian-med/trunk/packages/raster3d/trunk/
-XS-Autobuild: yes
+Build-Depends: debhelper (>= 9),
+               gfortran,
+               libgd2-dev,
+               libjpeg-dev,
+               libpng-dev,
+               libtiff-dev
+Standards-Version: 3.9.5
+Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/raster3d/trunk/
+Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/raster3d/trunk/
 Homepage: http://www.bmsc.washington.edu/raster3d/raster3d.html
 
 Package: raster3d
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, imagemagick, ghostscript
+Depends: ${shlibs:Depends},
+         ${misc:Depends},
+         imagemagick,
+         ghostscript
 Suggests: raster3d-doc (= ${source:Version})
 Description: tools for generating images of proteins or other molecules
  Raster3D is a set of tools for generating high quality raster images of
@@ -30,11 +34,14 @@
  with 24 bits of color information per pixel.
 
 Package: raster3d-doc
-Section: non-free/doc
 Architecture: all
+Section: doc
 Depends: ${misc:Depends}
-Recommends: raster3d (= ${source:Version}), imagemagick
-Suggests: pdf-viewer, perl, www-browser
+Recommends: raster3d (= ${source:Version}),
+            imagemagick
+Suggests: pdf-viewer,
+          perl,
+          www-browser
 Description: documents and example files for Raster3D
  Raster3D is a set of tools for generating high quality raster images of
  proteins or other molecules. The core program renders spheres, triangles,
