## raster3d 3.0-3

=== debian/changelog ===
raster3d (3.0-3-3) unstable; urgency=medium

  * Standards-Version: 4.1.1
  * debhelper 10
  * Build-Depends: s/libgd2-dev/libgd-dev/
  * Fix spelling
  * DEP3
  * Upstream does not support https so watch file can not be turned to https
  * hardening=+all
  * DEP5

 -- Andreas Tille <tille@debian.org>  Mon, 23 Oct 2017 20:56:50 +0200

raster3d (3.0-3-2) unstable; urgency=medium

  [ Jérémy Bobbio ]
  * Make the build reproducible:
    - Stop recording user and group when creating diffs.tar.
    Closes: #775810

  [ Andreas Tille ]
  * Fix bashism
    Closes: #772359
  * cme fix dpkg-control

 -- Andreas Tille <tille@debian.org>  Sat, 05 Dec 2015 23:52:57 +0100

raster3d (3.0-3-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Sun, 13 Apr 2014 09:22:41 +0200
