=== debian/control ===
--- 
+++ 
@@ -3,15 +3,15 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                gfortran,
-               libgd2-dev,
+               libgd-dev,
                libjpeg-dev,
                libpng-dev,
                libtiff-dev
-Standards-Version: 3.9.5
-Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/raster3d/trunk/
-Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/raster3d/trunk/
+Standards-Version: 4.1.1
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/raster3d.git
+Vcs-Git: https://anonscm.debian.org/git/debian-med/raster3d.git
 Homepage: http://www.bmsc.washington.edu/raster3d/raster3d.html
 
 Package: raster3d
