=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for raster3d using dh
# Author: Andreas Tille <tille@debian.org>
# GPL

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

override_dh_clean:
	# $(MAKE) clean
	dh_clean
	rm -f debian/diffs.tar

override_dh_auto_configure:
	mkdir debian/tmp
	cd debian/patches/ && tar --owner=root --group=root --numeric-owner \
		-cf ../diffs.tar *.diff || true
	# dh_auto_configure

override_dh_auto_build:
	$(MAKE) linux

override_dh_auto_install:
	$(MAKE) install prefix=$(CURDIR)/debian/tmp
	find $(CURDIR)/debian/tmp -name CVS -type d -exec rm -rf \{\} \; || true

override_dh_installchangelogs:
	dh_installchangelogs CHANGELOG

override_dh_compress:
	dh_compress --exclude=.pdb \
		    --exclude=.r3d \
		    --exclude=.mol \
		    --exclude=.pdf
