=== debian/watch ===
version=4
opts="dversionmangle=s/\+.*//" \
http://skuld.bmsc.washington.edu/raster3d Raster3D_(.*)\.tar\.gz
