## raster3d 3.0-4

=== debian/changelog ===
raster3d (3.0-4-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:56:04 +0100

raster3d (3.0-4-1) unstable; urgency=medium

  * New upstream version
  * debhelper 12
  * Standards-Version: 4.4.0
  * No override for debian-watch-uses-insecure-uri

 -- Andreas Tille <tille@debian.org>  Fri, 12 Jul 2019 23:35:22 +0200

raster3d (3.0-3-5) unstable; urgency=medium

  [ Piper McCorkle ]
  * Add autopkgtest
    Closes: #909709

  [ Andreas Tille ]
  * Secure URI in copyright format

 -- Andreas Tille <tille@debian.org>  Thu, 01 Nov 2018 07:49:23 +0100

raster3d (3.0-3-4) unstable; urgency=medium

  * debhelper 11
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.2.1

 -- Andreas Tille <tille@debian.org>  Thu, 18 Oct 2018 14:35:53 +0200
