=== debian/control ===
--- 
+++ 
@@ -3,15 +3,15 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 12~),
                gfortran,
                libgd-dev,
                libjpeg-dev,
                libpng-dev,
                libtiff-dev
-Standards-Version: 4.1.1
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/raster3d.git
-Vcs-Git: https://anonscm.debian.org/git/debian-med/raster3d.git
+Standards-Version: 4.4.0
+Vcs-Browser: https://salsa.debian.org/med-team/raster3d
+Vcs-Git: https://salsa.debian.org/med-team/raster3d.git
 Homepage: http://www.bmsc.washington.edu/raster3d/raster3d.html
 
 Package: raster3d
