## raster3d 3.0-7

=== debian/changelog ===
raster3d (3.0-7-2) unstable; urgency=medium

  * Prevent parallel building
    Closes: #988009

 -- Andreas Tille <tille@debian.org>  Tue, 04 May 2021 08:04:15 +0200

raster3d (3.0-7-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Trim trailing whitespace.
  * Remove obsolete field Name from debian/upstream/metadata (already present in
    machine-readable debian/copyright).
  * Do not install patches as docs
  * Install share/raster3d from debian/tmp
  * Remove redundant overrides from d/rules
  * Port worms script to POSIX shell and install it to /usr/bin

 -- Andreas Tille <tille@debian.org>  Wed, 30 Sep 2020 10:34:41 +0200
