=== debian/control ===
--- 
+++ 
@@ -3,16 +3,17 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 12~),
+Build-Depends: debhelper-compat (= 13),
                gfortran,
                libgd-dev,
                libjpeg-dev,
                libpng-dev,
                libtiff-dev
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/med-team/raster3d
 Vcs-Git: https://salsa.debian.org/med-team/raster3d.git
 Homepage: http://www.bmsc.washington.edu/raster3d/raster3d.html
+Rules-Requires-Root: no
 
 Package: raster3d
 Architecture: any
