=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for raster3d using dh
# Author: Andreas Tille <tille@debian.org>
# GPL

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@ --no-parallel

override_dh_auto_build:
	$(MAKE) linux

override_dh_auto_install:
	dh_auto_install -- prefix=$(CURDIR)/debian/tmp

override_dh_installchangelogs:
	dh_installchangelogs CHANGELOG

override_dh_compress:
	dh_compress --exclude=.pdb \
		    --exclude=.r3d \
		    --exclude=.mol \
		    --exclude=.pdf
