## raster3d 3.0-8

=== debian/changelog ===
raster3d (3.0-8-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 3.0-8  (Closes: #1097773)
  * d/copyright: bump upstream copyright year.
  * d/control: declare compliance to standards version 4.7.2.
  * d/control: declare raster3d-doc Multi-Arch foreign.
  * Makefile.diff: unfuzz patch.
  * fix_bashism.patch: delete: applied upstream.
  * spelling.patch: delete: applied upstream.
  * worms_sh.patch: delete: applied upstream.
  * d/control: remove redundant Rules-Requires-Root.
  * d/watch: upgrade to version 5 watchfile.
  * prevent_Makefile.incl_removal.patch: new.
    This patch avoids cleaning up a file expecte by dpkg-buildpackage when
    checking for the integrity of upstream source code.
  * sequence_normal3d_qinp.patch: new.
    This change fixes random build failures depending on the order in
    which make recipes are executed. (Closes: #1105671)
  * d/rules: restore ability for parallel builds.
  * d/salsa-ci.yml: disable blhc CI for now.

 -- Étienne Mollier <emollier@debian.org>  Wed, 24 Sep 2025 20:58:06 +0200
