=== debian/control ===
--- 
+++ 
@@ -9,11 +9,10 @@
                libjpeg-dev,
                libpng-dev,
                libtiff-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/med-team/raster3d
 Vcs-Git: https://salsa.debian.org/med-team/raster3d.git
 Homepage: http://www.bmsc.washington.edu/raster3d/raster3d.html
-Rules-Requires-Root: no
 
 Package: raster3d
 Architecture: any
@@ -37,6 +36,7 @@
 Package: raster3d-doc
 Architecture: all
 Section: doc
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Recommends: raster3d (= ${source:Version}),
             imagemagick
