=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
 %:
-	dh $@ --no-parallel
+	dh $@
 
 override_dh_auto_build:
 	$(MAKE) linux
