=== debian/watch ===
Version: 5

Source: http://skuld.bmsc.washington.edu/raster3d
Matching-Pattern: Raster3D_(.*)\.tar\.gz
Dversionmangle: s/\+.*//
